angular.module('focaModalDomicilio')
    .service('focaModalDomicilioService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getDomiciliosEntregaByIdCliente: function(id) {
                    return $http.get(API_ENDPOINT.URL +
                        '/domicilio/entrega/cliente/' + id);
                },
                guardarDomicilio: function(domicilio) {
                    return $http.post(API_ENDPOINT.URL + '/domicilio', {domicilio: domicilio});
                },
                guardarContacto: function(contacto) {
                    return $http.post(API_ENDPOINT.URL + '/contacto', {contacto: contacto});
                },
                obtenerUltimoPorNivelPadre: function(nivel1) {
                    return $http.get(API_ENDPOINT.URL + '/domicilio/ultimo/' + nivel1);
                }
            };
        }
    ]);
